function addPortrait(name, gender)
	table.insert(portraits, {name, gender})
end

function table.contains(table, element)
  for _, value in pairs(table) do
    if value == element then
      return true
    end
  end
  return false
end

local bmp_files = Infinity_GetFilesOfType("bmp")

for k, v in ipairs(bmp_files) do
	if (not table.contains(portraits, v)) then -- Ensures Current Portrait does not already exist in portraits table
		if ((v[1]):sub(1,7):upper() == "FALDORN") then -- Prevents Copy of Faldorn Portrait
		elseif ((v[1]):sub(1,6):upper() == "MANLEY") then -- Prevents Copy of Manley Portraits
		elseif ((v[1]):sub(1, 1):upper() == "M" and (v[1]).sub(v[1], 8):upper() == "L") then
			addPortrait(v[1], 1)
		elseif ((v[1]):sub(1, 1):upper() == "F" and (v[1]).sub(v[1], 8):upper() == "L") then
			addPortrait(v[1], 2)
		end
	end
end